Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.internal.jaxb.mapping.hbm
Class JaxbMapElement.JaxbIndexManyToAny

    java.lang.Object
      org.hibernate.internal.jaxb.mapping.hbm.JaxbMapElement.JaxbIndexManyToAny

Enclosing class:
  JaxbMapElement

    public static class JaxbMapElement.JaxbIndexManyToAny

extends Object

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="column" type="{http://www.hibernate.org/xsd/hibernate-mapping}column-element"/>
           </sequence>
           <attribute name="id-type" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="meta-type" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected JaxbColumnElement` | `column`
`protected String` | `idType`
`protected String` | `metaType`

Constructor Summary
`JaxbMapElement.JaxbIndexManyToAny()`

Method Summary
`JaxbColumnElement` | `getColumn()` Gets the value of the column property.
`String` | `getIdType()` Gets the value of the idType property.
`String` | `getMetaType()` Gets the value of the metaType property.
`void` | `setColumn(JaxbColumnElement value)` Sets the value of the column property.
`void` | `setIdType(String value)` Sets the value of the idType property.
`void` | `setMetaType(String value)` Sets the value of the metaType property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### column

    protected JaxbColumnElement column

### idType

    protected String idType

### metaType

    protected String metaType

Constructor Detail

### JaxbMapElement.JaxbIndexManyToAny

    public JaxbMapElement.JaxbIndexManyToAny()

Method Detail

### getColumn

    public JaxbColumnElement getColumn()

  Gets the value of the column property.

  Returns:
    possible object is `JaxbColumnElement`

### setColumn

    public void setColumn(JaxbColumnElement value)

  Sets the value of the column property.

  Parameters:
    `value` - allowed object is `JaxbColumnElement`

### getIdType

    public String getIdType()

  Gets the value of the idType property.

  Returns:
    possible object is `String`

### setIdType

    public void setIdType(String value)

  Sets the value of the idType property.

  Parameters:
    `value` - allowed object is `String`

### getMetaType

    public String getMetaType()

  Gets the value of the metaType property.

  Returns:
    possible object is `String`

### setMetaType

    public void setMetaType(String value)

  Sets the value of the metaType property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.